import { InputFormControl, OnChangeValueType } from "../../types";
import type { controlProps } from "../../types/controlProps";
export interface IProps {
    id: string;
    control: InputFormControl;
    controlProps?: controlProps;
    objectPathId?: any;
    onChangeValue: (newProperties: OnChangeValueType, customizer?: (...args: any) => any) => void;
}
declare const MrnInput: ({ onChangeValue, controlProps, objectPathId, ...props }: IProps) => import("react/jsx-runtime").JSX.Element;
export default MrnInput;
