import { MultiSelectOption } from "../../MultiSelect";
import { SelectFormControlOption } from "../../../../types";
declare const extractSelectedOptionValues: (options: SelectFormControlOption[], selectedOptions: MultiSelectOption[]) => {
    optionValues: string | string[];
    updatedOptions: {
        selected: boolean;
        value: string;
        text: string;
        phone?: string;
        key?: string;
        mrnEntries?: {
            [key: string]: any;
        };
        hasChanged?: boolean;
        error?: {
            message: string;
        };
        required?: boolean;
        placeholder?: string;
        hasEdited?: "edited" | "not-edited" | undefined;
        "custom-attributes"?: import("../../../../types").CustomAttributes;
    }[];
};
export default extractSelectedOptionValues;
