import type { FormControls } from "../../types";
interface IUseValueGeneratorProps {
    query: string | null;
    objectPathId: string | null;
}
interface IUseValueGeneratorWithContextProps extends IUseValueGeneratorProps {
    formControls: FormControls;
}
declare const useValueGenerator: ({ query, formControls, objectPathId, }: IUseValueGeneratorWithContextProps) => {
    value: any;
    hasQuery: boolean;
};
declare const useValueGeneratorWithContext: ({ query, objectPathId, }: IUseValueGeneratorProps) => {
    value: any;
    hasQuery: boolean;
};
export { useValueGenerator, useValueGeneratorWithContext };
export default useValueGeneratorWithContext;
