import { DetailedHTMLProps, InputHTMLAttributes } from "react";
import { InputFormControl, OnChangeValueType } from "../../types";
export interface IProps extends DetailedHTMLProps<InputHTMLAttributes<HTMLInputElement>, HTMLInputElement> {
    id: string;
    control: InputFormControl;
    objectPathId?: string;
    onChangeValue: (newProperties: OnChangeValueType) => void;
}
declare const InputFreeSolo: ({ ...props }: IProps) => import("react/jsx-runtime").JSX.Element;
export default InputFreeSolo;
